#
# Please do not update/rebuild/touch this package before asking first to mikala and/or neoclust
# This package is part of the KDE Stack.
#

%bcond_with marble_python
%define rel 1

Name:          marble
Summary:       A virtual globe and world atlas
Version: 16.12.3
Release:       %mkrel %{rel}
Group:         Geography
License:       LGPLv2
URL:           http://www.kde.org/applications/education/marble/
Source:        http://download.kde.org/stable/%version/src/%{name}-%version.tar.xz

## upstreamable patches
# 1. add/fix support for MOBILE/TOUCH marble app versions
# TOUCH default off, since app fails to launch (for me):
#qrc:/main.qml:13:1: Type MarbleWindow unavailable
#qrc:/MarbleWindow.qml:11:1: module "com.nokia.meego" is not installed
# 2. unconditionally install larger cityplacemarks.cache
Patch50:       marble-14.12.3-app_versions.patch
# support parallel-installable qt4/qt5 libmarblewidget
Patch51:       marble-14.12.1-marblewidget.patch
# fix FTBFS with Qt5
Patch52:       marble-14.12.1-opencachingcom_Qt5WebKitWidgets.patch
# fix wrong quotes on include files, breaking apps compilation

BuildRequires: pkgconfig(libgps)

BuildRequires: shapelib-devel
BuildRequires: python-devel
BuildRequires: libwlocate-devel
BuildRequires: quazip-devel

BuildRequires: kf5-macros
BuildRequires: cmake(KF5Config)
BuildRequires: cmake(KF5CoreAddons)
BuildRequires: cmake(KF5Crash)
BuildRequires: cmake(KF5DocTools)
BuildRequires: cmake(KF5I18n)
BuildRequires: cmake(KF5KIO)
BuildRequires: cmake(KF5NewStuff)
BuildRequires: cmake(KF5Parts)
BuildRequires: cmake(KF5Runner)
BuildRequires: cmake(KF5Service)
BuildRequires: cmake(KF5Wallet)

BuildRequires: pkgconfig(phonon4qt5)

BuildRequires: pkgconfig(Qt5Core)
BuildRequires: pkgconfig(Qt5Help)
BuildRequires: pkgconfig(Qt5Xml)
BuildRequires: pkgconfig(Qt5Network)
BuildRequires: pkgconfig(Qt5Test)
BuildRequires: pkgconfig(Qt5Script)
BuildRequires: pkgconfig(Qt5Widgets)
BuildRequires: pkgconfig(Qt5Quick)
BuildRequires: pkgconfig(Qt5WebKitWidgets)
BuildRequires: pkgconfig(Qt5Svg)
BuildRequires: pkgconfig(Qt5Sql)
BuildRequires: pkgconfig(Qt5Concurrent)
BuildRequires: pkgconfig(Qt5PrintSupport)
BuildRequires: pkgconfig(Qt5DBus)
BuildRequires: pkgconfig(Qt5Location)
BuildRequires: pkgconfig(Qt5Positioning)
# only used from >= 16.08.0
BuildRequires: pkgconfig(Qt5SerialPort)


#Requires: libkdeedu-common
Recommends:    marble-handbook

# Packages were merged together
Conflicts:     marble-qt5 < 16.04.3-6

# ease upgrade mga5 -> mga6
Obsoletes:     marble-common < 4.14.3-2
Provides:      marble-common = %{version}-%{release}

#Branch patchs 100->200

#Trunk Patchs 200->300

#Mageia Patchs 500->600

%description
Marble is a Virtual Globe and World Atlas that you can use to learn more
about Earth: You can pan and zoom around and you can look up places and
roads. A mouse click on a place label will provide the respective
Wikipedia article.

%files
%_kf5_bindir/marble
%_kf5_bindir/marble-qt
%_kf5_sysconfdir/xdg/marble.knsrc
%_kf5_datadir/marble
%_kf5_appdatadir/org.kde.marble.appdata.xml
%_kf5_appdatadir/org.kde.plasma.worldclock.appdata.xml
%_kf5_appdatadir/org.kde.plasma.wallpaper.worldmap.appdata.xml
%_kf5_datadir/applications/*.desktop
%_kf5_datadir/mime/packages/geo.xml
%_kf5_datadir/config.kcfg/marble.kcfg
%_kf5_datadir/kxmlgui5/marble/
%_kf5_datadir/plasma/plasmoids/org.kde.plasma.worldclock/
%_kf5_datadir/plasma/wallpapers/org.kde.plasma.wallpaper.worldmap/
%_kf5_services/*.desktop
%_kf5_iconsdir/hicolor/128x128/apps/marble.png
%_kf5_iconsdir/hicolor/16x16/apps/marble.png
%_kf5_iconsdir/hicolor/22x22/apps/marble.png
%_kf5_iconsdir/hicolor/32x32/apps/marble.png
%_kf5_iconsdir/hicolor/48x48/apps/marble.png
%_kf5_iconsdir/hicolor/64x64/apps/marble.png
%_kf5_qmldir/org/kde/marble/
%dir %_kf5_libdir/marble
%_kf5_libdir/marble/plugins/
%_qt5_plugindir/*.so
%_kf5_libdir/libmarbledeclarative.so

#------------------------------------------------------------------------------

%define marblewidget_major 26
%define libmarblewidget %mklibname marblewidget-qt5_ %{marblewidget_major}

%package -n %libmarblewidget
Summary:       Runtime library for marble
Group:         System/Libraries
Obsoletes:     %{_lib}marblewidget-qt524 < 16.04.0-4


%description -n %libmarblewidget
Runtime library for marble.

%files -n %libmarblewidget
%_kf5_libdir/libmarblewidget-qt5.so.%{marblewidget_major}
%_kf5_libdir/libmarblewidget-qt5.so.0*

#------------------------------------------------------------------------------

%define astro_major 1
%define libastro %mklibname astro %{astro_major}

%package -n %libastro
Summary:       Runtime library for marble
Group:         System/Libraries
Obsoletes:     %{_lib}astro0 < 16.08.2-3

%description -n %libastro
Runtime library for marble.

%files -n %libastro
%_kf5_libdir/libastro.so.%{astro_major}
%_kf5_libdir/libastro.so.0.*

#--------------------------------------------------------------------

%package devel
Summary:       Devel stuff for %{name}
Group:         Development/KDE and Qt
Requires:      %libmarblewidget = %version-%release
Requires:      %libastro = %version-%release

%description  devel
Files needed to build applications based on %{name}.

%files devel
%_includedir/marble
%_includedir/astro
%_kf5_libdir/libastro.so
%_kf5_libdir/libmarblewidget-qt5.so
%_kf5_libdir/cmake/Marble/
%_kf5_libdir/cmake/Astro/
%_kf5_mkspecsdir/*.pri

#--------------------------------------------------------------------

%package handbook
Summary:       %{name} Handbook
Group:         Documentation
BuildArch:     noarch

%description handbook
This package provides %{name} Handbook.

%files handbook
%doc %_kf5_docdir/HTML/*/marble

#--------------------------------------------------------------------

%prep
%setup -q

#patch50 -p1 -b .app_versions
#patch51 -p1 -b .marblewidget
#patch52 -p1 -b .opencachingcom_Qt5WebKitWidgets
#patch53 -p1

%build
export LD=/usr/bin/ld.gold

%{cmake_kf5} \
  -DBUILD_MARBLE_TESTS:BOOL=OFF \
  -DMARBLE_DATA_PATH:PATH="%{_datadir}/marble/data" \
  -DMARBLE_PRI_INSTALL_DIR="%_kf5_mkspecsdir" \
  -DWITH_DESIGNER_PLUGIN:BOOL=OFF

%make_build

%install
%make_install -C build


%changelog
* Wed Mar 08 2017 neoclust <neoclust> 16.12.3-1.mga6
+ Revision: 1090160
- New version 16.12.3
- New version 16.12.2
- New version 16.12.1

* Sat Dec 24 2016 neoclust <neoclust> 16.12.0-1.mga6
+ Revision: 1076902
- New version 16.12.0

* Fri Dec 16 2016 daviddavid <daviddavid> 16.11.90-3.mga6
+ Revision: 1075617
- move a non development library file from devel subpackage

* Thu Dec 15 2016 daviddavid <daviddavid> 16.11.90-2.mga6
+ Revision: 1075317
- fix file list

* Fri Dec 09 2016 neoclust <neoclust> 16.11.90-1.mga6
+ Revision: 1073857
- New version 16.11.90

* Tue Nov 15 2016 neoclust <neoclust> 16.08.3-1.mga6
+ Revision: 1067414
- New version 16.08.3

* Mon Nov 14 2016 daviddavid <daviddavid> 16.08.2-3.mga6
+ Revision: 1067134
- fix libastro major number, should be "1" instead as it provides "libastro.so.1" (mga#19750)

* Sun Oct 30 2016 daviddavid <daviddavid> 16.08.2-2.mga6
+ Revision: 1064164
- fix conflicting files with marble-common from mga5 to ease upgrade mga5->mga6 (mga#19681)

* Mon Oct 17 2016 neoclust <neoclust> 16.08.2-1.mga6
+ Revision: 1061477
- New version 16.08.2

* Tue Sep 13 2016 neoclust <neoclust> 16.08.1-1.mga6
+ Revision: 1052051
- New version 16.08.1

* Thu Aug 25 2016 neoclust <neoclust> 16.08.0-1.mga6
+ Revision: 1048702
- New version 16.08.0

* Tue Aug 16 2016 daviddavid <daviddavid> 16.04.3-8.mga6
+ Revision: 1046520
- Add more Kf5 build dependencies
- Add BR qt5extserialport-devel

  + neoclust <neoclust>
    - Clean cmake command

* Thu Jul 14 2016 neoclust <neoclust> 16.04.3-7.mga6
+ Revision: 1042063
- Add build dependencies

  + akien <akien>
    - Fix wrong conflicts on marble-qt5

* Thu Jul 14 2016 akien <akien> 16.04.3-6.mga6
+ Revision: 1042056
- Merge marble-qt5 into the main marble package, separation no longer relevant (mga#17151)

* Sat Jul 09 2016 neoclust <neoclust> 16.04.3-5.mga6
+ Revision: 1040143
- New version 16.04.3
- New version 16.04.2

* Wed May 11 2016 neoclust <neoclust> 16.04.1-5.mga6
+ Revision: 1013658
- New version 16.04.1

* Mon May 09 2016 luigiwalser <luigiwalser> 16.04.0-5.mga6
+ Revision: 1011709
- rebuild for quazip

* Tue Apr 26 2016 akien <akien> 16.04.0-4.mga6
+ Revision: 1006504
- Fix marblewidget-qt5 libname

* Fri Apr 22 2016 neoclust <neoclust> 16.04.0-3.mga6
+ Revision: 1004728
- New version 16.04.0

* Thu Mar 24 2016 neoclust <neoclust> 16.03.80-3.mga6
+ Revision: 995002
- New version 16.03.80

* Wed Mar 16 2016 neoclust <neoclust> 15.12.3-3.mga6
+ Revision: 991891
- New version 15.12.3
- New version 15.12.2

* Wed Jan 13 2016 neoclust <neoclust> 15.12.1-3.mga6
+ Revision: 922701
- New version 15.12.1

* Fri Jan 08 2016 danf <danf> 15.12.0-3.mga6
+ Revision: 920653
- Added include-quotes.patch to fix compilation of dependent apps

* Mon Dec 28 2015 tv <tv> 15.12.0-2.mga6
+ Revision: 916465
- rebuild for new libgps

* Sat Dec 19 2015 neoclust <neoclust> 15.12.0-1.mga6
+ Revision: 911976
- New version 15.12.0

* Fri Nov 27 2015 neoclust <neoclust> 15.11.80-1.mga6
+ Revision: 906414
- New version 15.11.80

* Tue Nov 10 2015 neoclust <neoclust> 15.08.3-1.mga6
+ Revision: 901170
- New version 15.08.3

* Wed Oct 14 2015 neoclust <neoclust> 15.08.2-1.mga6
+ Revision: 890663
- New version 15.08.2

* Fri Sep 18 2015 neoclust <neoclust> 15.08.1-1.mga6
+ Revision: 880463
- New version 15.08.1

* Wed Aug 19 2015 neoclust <neoclust> 15.08.0-1.mga6
+ Revision: 865981
- New version 15.08.0

* Wed Aug 12 2015 neoclust <neoclust> 15.07.90-3.mga6
+ Revision: 863964
- Plasma Mass Rebuild - Rebuild for new Plasma
- Enable Gui

* Tue Aug 11 2015 sander85 <sander85> 15.07.90-2.mga6
+ Revision: 862570
- marble-common and kdelibs4-devel are no longer needed

* Mon Aug 10 2015 neoclust <neoclust> 15.07.90-1.mga6
+ Revision: 862341
- New version 15.07.90

* Sun Jul 05 2015 neoclust <neoclust> 15.04.3-1.mga6
+ Revision: 851725
- New version

* Wed Dec 03 2014 lmenut <lmenut> 4.14.3-1.mga5
+ Revision: 800672
- Update to KDE SC 4.14.3
- split marble-qt in a sub-package (mga#14419)
- disable build of marble-mobile & marble-touch (mga#14419)

* Sat Oct 18 2014 lmenut <lmenut> 4.14.2-1.mga5
+ Revision: 787770
- Update to KDE SC 4.14.2

* Wed Oct 15 2014 umeabot <umeabot> 4.14.1-2.mga5
+ Revision: 749678
- Second Mageia 5 Mass Rebuild

* Thu Oct 02 2014 lmenut <lmenut> 4.14.1-1.mga5
+ Revision: 734624
- Update to KDE SC 4.14.1

* Sat Sep 27 2014 tv <tv> 4.14.0-3.mga5
+ Revision: 727154
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 4.14.0-2.mga5
+ Revision: 682167
- Mageia 5 Mass Rebuild

  + tv <tv>
    - s/uggests:/Recommends:/

* Mon Aug 25 2014 lmenut <lmenut> 4.14.0-1.mga5
+ Revision: 667557
- Update to KDE SC 4.14.0
- Use official URL http://download.kde.org for Source

* Fri Aug 15 2014 lmenut <lmenut> 4.13.97-1.mga5
+ Revision: 663069
- Update to KDE SC 4.13.97 aka KDE SC 4.14 RC

* Sat Jul 26 2014 lmenut <lmenut> 4.13.95-1.mga5
+ Revision: 656747
- Update to KDE SC 4.13.95 aka KDE SC 4.14 Beta3

* Sat Jul 19 2014 lmenut <lmenut> 4.13.90-1.mga5
+ Revision: 653932
- Update to KDE SC 4.13.90 aka KDE SC 4.14 Beta2
- add BuildRequires quazip-devel

* Mon Jul 14 2014 lmenut <lmenut> 4.13.80-1.mga5
+ Revision: 652103
- Update to KDE SC 4.13.80 aka KDE SC 4.14 Beta1
  bump marblewidget major to 19
  fix files list

* Sun Jun 15 2014 lmenut <lmenut> 4.13.2-1.mga5
+ Revision: 636806
- Update to KDE SC 4.13.2

* Sat May 24 2014 lmenut <lmenut> 4.13.1-1.mga5
+ Revision: 625573
- Update to KDE SC 4.13.1

* Tue May 20 2014 fwang <fwang> 4.13.0-2.mga5
+ Revision: 624140
- rebuild for new gps

* Thu Apr 17 2014 lmenut <lmenut> 4.13.0-1.mga5
+ Revision: 615654
- Update to KDE SC 4.13.0

* Sat Mar 29 2014 lmenut <lmenut> 4.12.97-1.mga5
+ Revision: 609466
- Update to KDE SC 4.12.97 aka KDE SC 4.13 RC

* Sun Mar 23 2014 lmenut <lmenut> 4.12.95-1.mga5
+ Revision: 606907
- Update to KDE SC 4.12.95 aka KDE SC 4.13 Beta3

* Fri Mar 14 2014 neoclust <neoclust> 4.12.90-1.mga5
+ Revision: 603414
- New version 4.12.80

* Tue Mar 11 2014 neoclust <neoclust> 4.12.80-1.mga5
+ Revision: 602048
- New version 4.12.80
- New version 4.12.3
- New version 4.12.3

* Sat Feb 15 2014 neoclust <neoclust> 4.12.2-1.mga5
+ Revision: 591896
- New version 4.12.2

  + dams <dams>
    - update marblewidget_major

* Tue Feb 04 2014 neoclust <neoclust> 4.11.5-1.mga5
+ Revision: 580717
- Update tarball to KDE SC 4.11.5

* Wed Dec 04 2013 lmenut <lmenut> 4.11.4-1.mga4
+ Revision: 555065
- Update tarball to KDE SC 4.11.4

* Thu Nov 14 2013 lmenut <lmenut> 4.11.3-1.mga4
+ Revision: 551337
- Update tarball to KDE SC 4.11.3

* Mon Oct 21 2013 umeabot <umeabot> 4.11.2-2.mga4
+ Revision: 540033
- Mageia 4 Mass Rebuild

* Thu Oct 03 2013 mikala <mikala> 4.11.2-1.mga4
+ Revision: 490711
- Update tarball to KDE SC 4.11.2

* Sat Sep 28 2013 lmenut <lmenut> 4.11.1-2.mga4
+ Revision: 488655
- rebuild with fixed rpm (missing suggests tags)

* Mon Sep 09 2013 mikala <mikala> 4.11.1-1.mga4
+ Revision: 476805
- Update tarball to KDE SC 4.11.1

* Thu Aug 15 2013 mikala <mikala> 4.11.0-1.mga4
+ Revision: 466769
- Update tarball to KDE SC 4.11.0

* Sat Jul 27 2013 lmenut <lmenut> 4.10.97-1.mga4
+ Revision: 458983
- Update tarball to KDE SC 4.10.97 aka KDE SC 4.11 RC2

* Wed Jul 17 2013 lmenut <lmenut> 4.10.95-1.mga4
+ Revision: 455369
- Update tarball to KDE SC 4.10.95 aka KDE SC 4.11 RC1

* Fri Jun 28 2013 mikala <mikala> 4.10.90-1.mga4
+ Revision: 447914
- Update tarball to KDE SC 4.10.90 aka KDE SC 4.11 Beta 2
- Update tarball to KDE SC 4.10.80 aka KDE SC 4.11 Beta 1
- fix major
- fix files list

* Sun Jun 02 2013 mikala <mikala> 4.10.4-1.mga4
+ Revision: 435270
- Update tarball to KDE SC 4.10.4

* Sun May 26 2013 mikala <mikala> 4.10.3-1.mga4
+ Revision: 428382
- Update tarball to KDE SC 4.10.3

* Tue Apr 02 2013 mikala <mikala> 4.10.2-1.mga3
+ Revision: 407198
- Update tarball to KDE SC 4.10.2

* Sat Mar 09 2013 lmenut <lmenut> 4.10.1-1.mga3
+ Revision: 401942
- Update tarball to KDE SC 4.10.1

* Thu Feb 07 2013 mikala <mikala> 4.10.0-1.mga3
+ Revision: 395094
- Enable libwlocate support
- Update tarball to KDE SC 4.10.0
- Update tarball to KDE SC 4.9.98 aka KDE SC 4.10 RC3

* Sat Jan 12 2013 umeabot <umeabot> 4.9.97-3.mga3
+ Revision: 359412
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

  + mikala <mikala>
    - Add shapelib-devel as BR

* Sat Jan 05 2013 mikala <mikala> 4.9.97-1.mga3
+ Revision: 339425
- Update tarball to KDE SC 4.9.97 aka KDE SC 4.10 RC2

* Mon Dec 24 2012 mikala <mikala> 4.9.95-1.mga3
+ Revision: 334525
- Update tarball to KDE SC 4.9.95 aka KDE SC 4.10 RC1

* Wed Dec 05 2012 mikala <mikala> 4.9.90-1.mga3
+ Revision: 326730
- Update tarball to KDE SC 4.9.90 aka KDE SC 4.10 Beta2

* Wed Nov 21 2012 mikala <mikala> 4.9.80-1.mga3
+ Revision: 320287
- Update tarball to KDE SC 4.9.80 aka KDE SC 4.10 Beta1
- Fix files list
- Bump major

* Wed Nov 07 2012 mikala <mikala> 4.9.3-1.mga3
+ Revision: 316232
- Update tarball to KDE SC 4.9.3

* Sun Oct 14 2012 neoclust <neoclust> 4.9.2-1.mga3
+ Revision: 305574
- New version

* Mon Oct 08 2012 neoclust <neoclust> 4.9.1-2.mga3
+ Revision: 303541
- Do not link against shapelib-devel anymore the package does not exist
- Revert to 4.9.1

  + dlucio <dlucio>
    - rebuild

  + mikala <mikala>
    - Update tarball to KDE SC 4.9.2
    - Fix group

* Sat Sep 08 2012 mikala <mikala> 4.9.1-1.mga3
+ Revision: 289732
- Update tarball to KDE SC 4.9.1
- Add shapelib-devel as BR
- Fix pkgconfig(QtLocation) version

* Wed Aug 01 2012 mikala <mikala> 4.9.0-1.mga3
+ Revision: 277036
- Silent: Fix Source URL
- Update tarball to KDE 4.9.0

* Thu Jul 12 2012 fwang <fwang> 4.8.97-1.mga3
+ Revision: 269716
- new version 4.8.97

* Sun Jul 01 2012 fwang <fwang> 4.8.95-1.mga3
+ Revision: 265761
- update libmajor
- new version 4.8.95

* Fri Jun 08 2012 fwang <fwang> 4.8.4-1.mga3
+ Revision: 257227
- new version 4.8.4

* Mon Apr 23 2012 mikala <mikala> 4.8.2-2.mga2
+ Revision: 232818
- Add missing requires for handbook

* Wed Apr 04 2012 fwang <fwang> 4.8.2-1.mga2
+ Revision: 228411
- new version 4.8.2

* Thu Mar 08 2012 mikala <mikala> 4.8.1-1.mga2
+ Revision: 221740
- New upstream tarball

* Sat Jan 21 2012 mikala <mikala> 4.8.0-1.mga2
+ Revision: 199285
- Use pkgconfig() for BR
- Fix BR for gps
- Updating tarball to KDE 4.8.0

* Thu Jan 05 2012 mikala <mikala> 4.7.97-1.mga2
+ Revision: 190952
- Update tarball to KDE SC 4.7.97

* Thu Dec 22 2011 mikala <mikala> 4.7.95-1.mga2
+ Revision: 186005
- Update tarball to KDE SC 4.7.95
- fix group

* Thu Dec 15 2011 mikala <mikala> 4.7.90-1.mga2
+ Revision: 182183
- Update tarball to KDE SC 4.7.90
- Add qt-mobility-devel as BR

* Sun Dec 04 2011 mikala <mikala> 4.7.4-1.mga2
+ Revision: 176538
- Update tarball to KDE SC 4.7.4

* Wed Nov 02 2011 mikala <mikala> 4.7.3-1.mga2
+ Revision: 161408
- Update tarball to KDE SC 4.7.3

* Wed Oct 05 2011 mikala <mikala> 4.7.2-1.mga2
+ Revision: 151984
- Update tarball to KDE SC 4.7.2

* Wed Sep 07 2011 mikala <mikala> 4.7.1-1.mga2
+ Revision: 140695
- Update tarball to KDE SC 4.7.1
- Split handbook in his own package (mga #2101)
- Remove %%clean section
- Remove %%defattr()
- Update tarball to KDE SC 4.7.0
- use pkgconfig()

* Mon Jul 11 2011 mikala <mikala> 4.6.95-0.mga2
+ Revision: 122370
- Update tarball to KDE 4.6.95 ( KDE SC 4.7 RC2)

* Wed Jun 29 2011 mikala <mikala> 4.6.90-2.mga2
+ Revision: 115715
- Remove wrong requires
- Fix Licence
- imported package marble

